org.apache.cassandra.locator

## Class SimpleSeedProvider

- java.lang.Object
- - org.apache.cassandra.locator.SimpleSeedProvider

All Implemented Interfaces:
  SeedProvider

    public class SimpleSeedProvider
    extends java.lang.Object
    implements SeedProvider

### Constructor Summary

Constructors
Constructor and Description
`SimpleSeedProvider(java.util.Map<java.lang.String,java.lang.String> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.net.InetAddress>` `getSeeds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleSeedProvider

    public SimpleSeedProvider(java.util.Map<java.lang.String,java.lang.String> args)

### Method Detail

#### getSeeds

    public java.util.List<java.net.InetAddress> getSeeds()

Specified by:
  `getSeeds` in interface `SeedProvider`